Get cashflow statement report
curl --request GET \
--url https://api.example.com/api/reports/cashflow-statement \
--header 'Authorization: <authorization>' \
--header 'accept: <accept>' \
--header 'organization-id: <organization-id>'import requests
url = "https://api.example.com/api/reports/cashflow-statement"
headers = {
"Authorization": "<authorization>",
"organization-id": "<organization-id>",
"accept": "<accept>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
Authorization: '<authorization>',
'organization-id': '<organization-id>',
accept: '<accept>'
}
};
fetch('https://api.example.com/api/reports/cashflow-statement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/reports/cashflow-statement",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>",
"accept: <accept>",
"organization-id: <organization-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/reports/cashflow-statement"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
req.Header.Add("organization-id", "<organization-id>")
req.Header.Add("accept", "<accept>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/reports/cashflow-statement")
.header("Authorization", "<authorization>")
.header("organization-id", "<organization-id>")
.header("accept", "<accept>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/reports/cashflow-statement")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
request["organization-id"] = '<organization-id>'
request["accept"] = '<accept>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "OPERATING",
"label": "OPERATING ACTIVITIES",
"footer_label": "Net cash provided by operating activities",
"section_type": "AGGREGATE",
"children": [
{
"id": "NET_INCOME",
"label": "Net income",
"total": {
"amount": -113923,
"formatted_amount": "-113,923.00",
"currency_code": "USD"
},
"section_type": "NET_INCOME",
"children": []
},
{
"section_type": "ACCOUNTS",
"id": "OPERATING_ACCOUNTS",
"label": "Adjustments net income by operating activities.",
"children": [
{
"id": 1006,
"code": "10007",
"label": "Accounts Receivable (A/R)",
"account_type": "accounts-receivable",
"adjustment_type": "mines",
"total": {
"amount": 0,
"formatted_amount": "",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
},
{
"id": 1007,
"code": "10008",
"label": "Inventory Asset",
"account_type": "inventory",
"adjustment_type": "mines",
"total": {
"amount": -1000,
"formatted_amount": "-1,000.00",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
},
{
"id": 1008,
"code": "20001",
"label": "Accounts Payable (A/P)",
"account_type": "accounts-payable",
"adjustment_type": "plus",
"total": {
"amount": 1300,
"formatted_amount": "1,300.00",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
},
{
"id": 1013,
"code": "20006",
"label": "Tax Payable",
"account_type": "tax-payable",
"adjustment_type": "plus",
"total": {
"amount": 0,
"formatted_amount": "",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
},
{
"id": 1030,
"code": "100010",
"label": "Prepaid Expenses",
"account_type": "other-current-asset",
"adjustment_type": "mines",
"total": {
"amount": 123123,
"formatted_amount": "123,123.00",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
},
{
"id": 1009,
"code": "20002",
"label": "Owner A Drawings",
"account_type": "other-current-liability",
"adjustment_type": "plus",
"total": {
"amount": 0,
"formatted_amount": "",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
},
{
"id": 1010,
"code": "20003",
"label": "Loan",
"account_type": "other-current-liability",
"adjustment_type": "plus",
"total": {
"amount": -10000,
"formatted_amount": "-10,000.00",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
},
{
"id": 1011,
"code": "20004",
"label": "Opening Balance Liabilities",
"account_type": "other-current-liability",
"adjustment_type": "plus",
"total": {
"amount": 0,
"formatted_amount": "",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
},
{
"id": 1012,
"code": "20005",
"label": "Revenue Received in Advance",
"account_type": "other-current-liability",
"adjustment_type": "plus",
"total": {
"amount": 0,
"formatted_amount": "",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
},
{
"id": 1029,
"code": "50005",
"label": "Unearned Revenue",
"account_type": "other-current-liability",
"adjustment_type": "plus",
"total": {
"amount": 0,
"formatted_amount": "",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
}
],
"total": {
"amount": 113423,
"formatted_amount": "$113,423.00",
"currency_code": "USD"
}
}
],
"total": {
"amount": -500,
"formatted_amount": "-$500.00",
"currency_code": "USD"
}
},
{
"section_type": "ACCOUNTS",
"id": "INVESTMENT",
"label": "INVESTMENT ACTIVITIES",
"footer_label": "cash_flow_statement.net_cash_investing",
"children": [
{
"id": 1004,
"code": "10005",
"label": "Computer Equipment",
"account_type": "fixed-asset",
"adjustment_type": "mines",
"total": {
"amount": 0,
"formatted_amount": "",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
},
{
"id": 1005,
"code": "10006",
"label": "Office Equipment",
"account_type": "fixed-asset",
"adjustment_type": "mines",
"total": {
"amount": 0,
"formatted_amount": "",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
}
],
"total": {
"amount": 0,
"formatted_amount": "$0.00",
"currency_code": "USD"
}
},
{
"section_type": "ACCOUNTS",
"id": "FINANCIAL",
"label": "FINANCIAL ACTIVITIES",
"footer_label": "cash_flow_statement.net_cash_financing",
"children": [
{
"id": 1014,
"code": "30001",
"label": "Retained Earnings",
"account_type": "equity",
"adjustment_type": "plus",
"total": {
"amount": 0,
"formatted_amount": "",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
},
{
"id": 1015,
"code": "30002",
"label": "Opening Balance Equity",
"account_type": "equity",
"adjustment_type": "plus",
"total": {
"amount": 0,
"formatted_amount": "",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
},
{
"id": 1016,
"code": "30003",
"label": "Owner's Equity",
"account_type": "equity",
"adjustment_type": "plus",
"total": {
"amount": 0,
"formatted_amount": "",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
},
{
"id": 1017,
"code": "30003",
"label": "Drawings",
"account_type": "equity",
"adjustment_type": "plus",
"total": {
"amount": 0,
"formatted_amount": "",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
}
],
"total": {
"amount": 0,
"formatted_amount": "$0.00",
"currency_code": "USD"
}
},
{
"section_type": "CASH_AT_BEGINNING",
"id": "CASH_BEGINNING_PERIOD",
"label": "Cash at beginning of period",
"children": [
{
"id": 1002,
"code": "10003",
"label": "Undeposited Funds",
"account_type": "cash",
"adjustment_type": "plus",
"total": {
"amount": 0,
"formatted_amount": "",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
},
{
"id": 1003,
"code": "10004",
"label": "Petty Cash",
"account_type": "cash",
"adjustment_type": "plus",
"total": {
"amount": 0,
"formatted_amount": "",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
},
{
"id": 1000,
"code": "10001",
"label": "Bank Account",
"account_type": "bank",
"adjustment_type": "plus",
"total": {
"amount": 0,
"formatted_amount": "",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
},
{
"id": 1001,
"code": "10002",
"label": "Saving Bank Account",
"account_type": "bank",
"adjustment_type": "plus",
"total": {
"amount": 0,
"formatted_amount": "",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
},
{
"id": 1034,
"code": "",
"label": "Chase - Plaid Checking",
"account_type": "bank",
"adjustment_type": "plus",
"total": {
"amount": 0,
"formatted_amount": "",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
}
],
"total": {
"amount": 0,
"formatted_amount": "$0.00",
"currency_code": "USD"
}
},
{
"section_type": "TOTAL",
"id": "NET_CASH_INCREASE",
"label": "NET CASH INCREASE FOR PERIOD",
"total": {
"amount": -500,
"formatted_amount": "-$500.00",
"currency_code": "USD"
}
},
{
"section_type": "TOTAL",
"id": "CASH_END_PERIOD",
"label": "CASH AT END OF PERIOD",
"total": {
"amount": -500,
"formatted_amount": "-$500.00",
"currency_code": "USD"
}
}
],
"query": {
"display_columns_type": "total",
"display_columns_by": "year",
"from_date": "2025-01-01",
"to_date": "2025-06-16",
"number_format": {
"precision": 2,
"divide_on1000": false,
"show_zero": false,
"format_money": "total",
"negative_format": "mines"
},
"none_zero": false,
"none_transactions": false,
"basis": "cash"
},
"meta": {
"organization_name": "BIGCAPITAL, INC",
"base_currency": "USD",
"date_format": "DD MMM yyyy",
"is_cost_compute_running": false,
"sheet_name": "Statement of Cash Flow",
"formatted_to_date": "2025/06/16",
"formatted_from_date": "2025/01/01",
"formatted_date_range": "From 2025/01/01 | To 2025/06/16"
}
}Reports
Get cashflow statement report
GET
/
api
/
reports
/
cashflow-statement
Get cashflow statement report
curl --request GET \
--url https://api.example.com/api/reports/cashflow-statement \
--header 'Authorization: <authorization>' \
--header 'accept: <accept>' \
--header 'organization-id: <organization-id>'import requests
url = "https://api.example.com/api/reports/cashflow-statement"
headers = {
"Authorization": "<authorization>",
"organization-id": "<organization-id>",
"accept": "<accept>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
Authorization: '<authorization>',
'organization-id': '<organization-id>',
accept: '<accept>'
}
};
fetch('https://api.example.com/api/reports/cashflow-statement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/reports/cashflow-statement",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>",
"accept: <accept>",
"organization-id: <organization-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/reports/cashflow-statement"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
req.Header.Add("organization-id", "<organization-id>")
req.Header.Add("accept", "<accept>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/reports/cashflow-statement")
.header("Authorization", "<authorization>")
.header("organization-id", "<organization-id>")
.header("accept", "<accept>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/reports/cashflow-statement")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
request["organization-id"] = '<organization-id>'
request["accept"] = '<accept>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "OPERATING",
"label": "OPERATING ACTIVITIES",
"footer_label": "Net cash provided by operating activities",
"section_type": "AGGREGATE",
"children": [
{
"id": "NET_INCOME",
"label": "Net income",
"total": {
"amount": -113923,
"formatted_amount": "-113,923.00",
"currency_code": "USD"
},
"section_type": "NET_INCOME",
"children": []
},
{
"section_type": "ACCOUNTS",
"id": "OPERATING_ACCOUNTS",
"label": "Adjustments net income by operating activities.",
"children": [
{
"id": 1006,
"code": "10007",
"label": "Accounts Receivable (A/R)",
"account_type": "accounts-receivable",
"adjustment_type": "mines",
"total": {
"amount": 0,
"formatted_amount": "",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
},
{
"id": 1007,
"code": "10008",
"label": "Inventory Asset",
"account_type": "inventory",
"adjustment_type": "mines",
"total": {
"amount": -1000,
"formatted_amount": "-1,000.00",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
},
{
"id": 1008,
"code": "20001",
"label": "Accounts Payable (A/P)",
"account_type": "accounts-payable",
"adjustment_type": "plus",
"total": {
"amount": 1300,
"formatted_amount": "1,300.00",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
},
{
"id": 1013,
"code": "20006",
"label": "Tax Payable",
"account_type": "tax-payable",
"adjustment_type": "plus",
"total": {
"amount": 0,
"formatted_amount": "",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
},
{
"id": 1030,
"code": "100010",
"label": "Prepaid Expenses",
"account_type": "other-current-asset",
"adjustment_type": "mines",
"total": {
"amount": 123123,
"formatted_amount": "123,123.00",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
},
{
"id": 1009,
"code": "20002",
"label": "Owner A Drawings",
"account_type": "other-current-liability",
"adjustment_type": "plus",
"total": {
"amount": 0,
"formatted_amount": "",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
},
{
"id": 1010,
"code": "20003",
"label": "Loan",
"account_type": "other-current-liability",
"adjustment_type": "plus",
"total": {
"amount": -10000,
"formatted_amount": "-10,000.00",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
},
{
"id": 1011,
"code": "20004",
"label": "Opening Balance Liabilities",
"account_type": "other-current-liability",
"adjustment_type": "plus",
"total": {
"amount": 0,
"formatted_amount": "",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
},
{
"id": 1012,
"code": "20005",
"label": "Revenue Received in Advance",
"account_type": "other-current-liability",
"adjustment_type": "plus",
"total": {
"amount": 0,
"formatted_amount": "",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
},
{
"id": 1029,
"code": "50005",
"label": "Unearned Revenue",
"account_type": "other-current-liability",
"adjustment_type": "plus",
"total": {
"amount": 0,
"formatted_amount": "",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
}
],
"total": {
"amount": 113423,
"formatted_amount": "$113,423.00",
"currency_code": "USD"
}
}
],
"total": {
"amount": -500,
"formatted_amount": "-$500.00",
"currency_code": "USD"
}
},
{
"section_type": "ACCOUNTS",
"id": "INVESTMENT",
"label": "INVESTMENT ACTIVITIES",
"footer_label": "cash_flow_statement.net_cash_investing",
"children": [
{
"id": 1004,
"code": "10005",
"label": "Computer Equipment",
"account_type": "fixed-asset",
"adjustment_type": "mines",
"total": {
"amount": 0,
"formatted_amount": "",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
},
{
"id": 1005,
"code": "10006",
"label": "Office Equipment",
"account_type": "fixed-asset",
"adjustment_type": "mines",
"total": {
"amount": 0,
"formatted_amount": "",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
}
],
"total": {
"amount": 0,
"formatted_amount": "$0.00",
"currency_code": "USD"
}
},
{
"section_type": "ACCOUNTS",
"id": "FINANCIAL",
"label": "FINANCIAL ACTIVITIES",
"footer_label": "cash_flow_statement.net_cash_financing",
"children": [
{
"id": 1014,
"code": "30001",
"label": "Retained Earnings",
"account_type": "equity",
"adjustment_type": "plus",
"total": {
"amount": 0,
"formatted_amount": "",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
},
{
"id": 1015,
"code": "30002",
"label": "Opening Balance Equity",
"account_type": "equity",
"adjustment_type": "plus",
"total": {
"amount": 0,
"formatted_amount": "",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
},
{
"id": 1016,
"code": "30003",
"label": "Owner's Equity",
"account_type": "equity",
"adjustment_type": "plus",
"total": {
"amount": 0,
"formatted_amount": "",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
},
{
"id": 1017,
"code": "30003",
"label": "Drawings",
"account_type": "equity",
"adjustment_type": "plus",
"total": {
"amount": 0,
"formatted_amount": "",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
}
],
"total": {
"amount": 0,
"formatted_amount": "$0.00",
"currency_code": "USD"
}
},
{
"section_type": "CASH_AT_BEGINNING",
"id": "CASH_BEGINNING_PERIOD",
"label": "Cash at beginning of period",
"children": [
{
"id": 1002,
"code": "10003",
"label": "Undeposited Funds",
"account_type": "cash",
"adjustment_type": "plus",
"total": {
"amount": 0,
"formatted_amount": "",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
},
{
"id": 1003,
"code": "10004",
"label": "Petty Cash",
"account_type": "cash",
"adjustment_type": "plus",
"total": {
"amount": 0,
"formatted_amount": "",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
},
{
"id": 1000,
"code": "10001",
"label": "Bank Account",
"account_type": "bank",
"adjustment_type": "plus",
"total": {
"amount": 0,
"formatted_amount": "",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
},
{
"id": 1001,
"code": "10002",
"label": "Saving Bank Account",
"account_type": "bank",
"adjustment_type": "plus",
"total": {
"amount": 0,
"formatted_amount": "",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
},
{
"id": 1034,
"code": "",
"label": "Chase - Plaid Checking",
"account_type": "bank",
"adjustment_type": "plus",
"total": {
"amount": 0,
"formatted_amount": "",
"currency_code": "USD"
},
"section_type": "ACCOUNT"
}
],
"total": {
"amount": 0,
"formatted_amount": "$0.00",
"currency_code": "USD"
}
},
{
"section_type": "TOTAL",
"id": "NET_CASH_INCREASE",
"label": "NET CASH INCREASE FOR PERIOD",
"total": {
"amount": -500,
"formatted_amount": "-$500.00",
"currency_code": "USD"
}
},
{
"section_type": "TOTAL",
"id": "CASH_END_PERIOD",
"label": "CASH AT END OF PERIOD",
"total": {
"amount": -500,
"formatted_amount": "-$500.00",
"currency_code": "USD"
}
}
],
"query": {
"display_columns_type": "total",
"display_columns_by": "year",
"from_date": "2025-01-01",
"to_date": "2025-06-16",
"number_format": {
"precision": 2,
"divide_on1000": false,
"show_zero": false,
"format_money": "total",
"negative_format": "mines"
},
"none_zero": false,
"none_transactions": false,
"basis": "cash"
},
"meta": {
"organization_name": "BIGCAPITAL, INC",
"base_currency": "USD",
"date_format": "DD MMM yyyy",
"is_cost_compute_running": false,
"sheet_name": "Statement of Cash Flow",
"formatted_to_date": "2025/06/16",
"formatted_from_date": "2025/01/01",
"formatted_date_range": "From 2025/01/01 | To 2025/06/16"
}
}Headers
Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.
Example:
"Bearer bc_1234567890abcdef"
Required if Authorization is a JWT token. The organization ID to operate within.
Query Parameters
Start date for the cash flow statement period
End date for the cash flow statement period
Display columns by time period
Available options:
day, month, year, quarter Type of column display
Available options:
total, date_periods Filter out zero values
Filter out transactions
Number of decimal places to display
Example:
2
Whether to divide the number by 1000
Example:
false
Whether to show zero values
Example:
true
How to format money values
Available options:
total, always, none Example:
"total"
How to format negative numbers
Available options:
parentheses, mines Example:
"parentheses"
Basis for the cash flow statement